Subject: Win 95 console business
From: [email-masked] (Benjamin Constable)

4 Nov 1997 19:43:55 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

> No, just the BASIC things that go with the Operating System.
 
You call VC++ basic? 

>      Dos came with a version of BASIC (the standard language at the time),
> All other major OS's except OS/2 (the windoze clone) come with an integrated C 
> compiler, why should MS be any different?
 
You are comparing VC++ with GW_BASIC?
 
> If you want to use your Intuition to program your computer, go ahead,
> I doubt if you'll get anywhere ;^), but no one is going to try to stop you.
 
Well, considering I am a student and VC++ pro cost me half what the OS did
(like $100) I don't need intuition.
  
> Actually it is far better, gcc produces linux, which has a MTBF of 11,000 hours
> (the hardware limit), when properly configured.  Compare, that with the 
> MTBF for win95, or even NT, and you may want to rethink your position.
 
When properly configured - you mean with a kernel that has support for the
floppy drive and the hard drive and no processes running?
 
I reboot my NT box to put new drivers on or to play games in win95, or to
save power. Never any sooner.
 
I agree that NT could do with a gcc kind of compiler free with the OS. But
expecting VC++ to come free is like expecting a free copy of suns visual
tools with every sun box.
 
And have you ever used VC++? It compiles faster and makes better code than
gcc does (last time I looked) and it has a far nicer environment.
 
> BTW, if you feel like this what are you doing on a mailing list for a
> product that is in direct competition with MS?
 
gnu-win32 does not compete with MS in any way. MS do not make anything
near the tools that gnu-win32 supports (like shells, unix compatibility)
apart from gcc. As a matter of fact, it just makes NT look more appealing
every time it improves, because it means you can run a wider and wider
range of software on your machine.
 
And if you think that gcc can compete with VC++, you have something coming
to you. Unless there is a free visual user interface creation tool out
there too bolt onto it.
 
Look at the name of it: gnu-win32. Notice the win32 bit? This mailing
exist would not exist without MS.
 
Ben Constable
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".